%define upstream_name    Socket
%define upstream_version 2.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Defines socket-related constants
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::Constant) >= 0.230.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module is just a translation of the C _socket.h_ file. Unlike the old
mechanism of requiring a translated _socket.ph_ file, this uses the *h2xs*
program (see the Perl source distribution) and your native C compiler. This
means that it has a far more likely chance of getting the numbers right.
This includes all of the commonly used pound-defines like AF_INET,
SOCK_STREAM, etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Mar 27 2013 jquelin <jquelin> 2.8.0-3.mga3
+ Revision: 405545
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.8.0-2.mga3
+ Revision: 372656
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 2.8.0-1.mga3
+ Revision: 338096
- update to 2.008

* Tue Dec 18 2012 shlomif <shlomif> 2.7.0-1.mga3
+ Revision: 332423
- update to 2.007

* Wed Nov 07 2012 jquelin <jquelin> 2.6.0-3.mga3
+ Revision: 315578
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 2.6.0-2.mga3
+ Revision: 294861
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 2.6.0-1.mga3
+ Revision: 284604
- update to 2.006

* Fri Jun 08 2012 kharec <kharec> 2.2.0-1.mga3
+ Revision: 257899
- update to 2.002

* Sat Jun 02 2012 kharec <kharec> 2.1.0-1.mga3
+ Revision: 253288
- update to 2.001

* Wed May 30 2012 jquelin <jquelin> 1.990.0-2.mga3
+ Revision: 251106
- rebuild for perl 5.16

* Wed Feb 22 2012 kharec <kharec> 1.990.0-1.mga2
+ Revision: 211833
- update to 1.99

* Tue Feb 21 2012 kharec <kharec> 1.980.0-1.mga2
+ Revision: 211719
- update to 1.98

* Sat Dec 17 2011 kharec <kharec> 1.970.0-1.mga2
+ Revision: 183022
- update to 1.97

* Sun Dec 11 2011 kharec <kharec> 1.960.0-1.mga2
+ Revision: 180572
- update to 1.96

* Wed Dec 07 2011 kharec <kharec> 1.950.0-1.mga2
+ Revision: 178539
- Correct BR
- imported package perl-Socket


* Wed Dec 07 2011 cpan2dist 1.95-1mga
- initial mageia release, generated with cpan2dist
